import { AxiosApiResponse, ErrorType, OptionsType } from "../types/types";
declare const useAxios: <ApiResponse = AxiosApiResponse>(url: string, dependencies?: any[], options?: OptionsType) => {
    data: ApiResponse | null;
    loading: boolean;
    error: ErrorType | null;
};
declare const useAxiosFn: <ApiResponse>(url: string, options?: OptionsType, dependencies?: any[]) => {
    data: ApiResponse | null;
    loading: boolean;
    refetch: () => void;
    error: ErrorType | null;
    execute: () => Promise<void>;
    reset: () => void;
};
export { useAxios, useAxiosFn };
